package testutils

import (
	"context"
	"testing"
)

func GetContext(t *testing.T) (context.Context, func()) {
	t.Helper()

	if time, ok := t.Deadline(); ok {
		return context.WithDeadline(t.Context(), time)
	}

	return context.WithCancel(t.Context())
}
